QueryNodeException (Lucene 10.5.1 queryparser API)
Description: declaration: package: org.apache.lucene.queryparser.flexible.core, class: QueryNodeException

Package org.apache.lucene.queryparser.flexible.core

# Class QueryNodeException

java.lang.Object
java.lang.Throwable
java.lang.Exception
org.apache.lucene.queryparser.flexible.core.QueryNodeException

All Implemented Interfaces:
  `Serializable`, `NLSException`

Direct Known Subclasses:
  `QueryNodeParseException`

public class QueryNodeException extends Exception implements NLSException
This exception should be thrown if something wrong happens when dealing with `QueryNode`s.

It also supports NLS messages.

See Also:
  - `Message`
  - `NLS`
  - `NLSException`
  - `QueryNode`
  - Serialized Form

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected Message`
  `message`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `QueryNodeException(Throwable throwable)`
  `QueryNodeException(Message message)`
  `QueryNodeException(Message message, Throwable throwable)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getLocalizedMessage()`
  `String`
  `getLocalizedMessage(Locale locale)`
  `String`
  `getMessage()`
  `Message`
  `getMessageObject()`
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Throwable

  `addSuppressed, fillInStackTrace, getCause, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### message

    protected Message message

- ## Constructor Details

  - ### QueryNodeException

    public QueryNodeException(Message message)

  - ### QueryNodeException

    public QueryNodeException(Throwable throwable)

  - ### QueryNodeException

    public QueryNodeException(Message message, Throwable throwable)

- ## Method Details

  - ### getMessageObject

    public Message getMessageObject()
    Specified by:
      `getMessageObject` in interface `NLSException`
    Returns:
      a instance of a class that implements the Message interface

  - ### getMessage

    public String getMessage()
    Overrides:
      `getMessage` in class `Throwable`

  - ### getLocalizedMessage

    public String getLocalizedMessage()
    Overrides:
      `getLocalizedMessage` in class `Throwable`

  - ### getLocalizedMessage

    public String getLocalizedMessage(Locale locale)

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Throwable`